=== debian/control ===
Source: reflect-cpp
Section: utils
Priority: optional
Standards-Version: 4.7.0
Maintainer: Shengqi Chen <harry-chen@outlook.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 ninja-build,
 libgtest-dev,
 libflatbuffers-dev,
 libmsgpack-c-dev,
 libpugixml-dev,
 libtomlplusplus-dev,
 libyaml-cpp-dev,
 libyyjson-dev
Homepage: https://getml.github.io/reflect-cpp/
Vcs-Git: https://salsa.debian.org/harry/reflect-cpp.git
Vcs-Browser: https://salsa.debian.org/harry/reflect-cpp
Rules-Requires-Root: no

Package: libreflectcpp0.14
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++20 library for fast (de-)serialization and validation (shared library)
 reflect-cpp is a C++20 library for fast serialization, deserialization
 and validation using reflection. It supports JSON, BSON, CBOR,
 flexbuffers, msgpack, TOML, XML, YAML / msgpack.org.
 .
 This package contains libreflectcpp shared library.

Package: libreflectcpp-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libreflectcpp0.14 (= ${binary:Version})
Suggests:
 libflatbuffers-dev,
 libmsgpack-c-dev,
 libpugixml-dev,
 libtomlplusplus-dev,
 libyaml-cpp-dev,
 libyyjson-dev
Description: C++20 library for fast (de-)serialization and validation (development files)
 reflect-cpp is a C++20 library for fast serialization, deserialization
 and validation using reflection. It supports JSON, BSON, CBOR,
 flexbuffers, msgpack, TOML, XML, YAML / msgpack.org.
 .
 This package contains development files for libreflectcpp.
