=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

TARGET_LIBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)

ifeq (,$(filter, nocheck,$(DEB_BUILD_OPTIONS)))
BUILD_TEST = ON
else
BUILD_TEST = OFF
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- -DREFLECTCPP_BUILD_SHARED=ON -DREFLECTCPP_USE_BUNDLED_DEPENDENCIES=OFF \
	 -DREFLECTCPP_USE_VCPKG=OFF -DCMAKE_INSTALL_LIBDIR=$(TARGET_LIBDIR) \
	 -DREFLECTCPP_FLEXBUFFERS=ON -DREFLECTCPP_MSGPACK=ON -DREFLECTCPP_XML=ON \
	 -DREFLECTCPP_TOML=ON -DREFLECTCPP_YAML=ON \
	 -DREFLECTCPP_BUILD_TESTS=$(BUILD_TEST)

override_dh_installdocs:
	sed -i 's|https://github.com/getml/reflect-cpp/blob/main/docs/||g' docs/README.md
	dh_installdocs
