=== debian/watch ===
version=4
https://github.com/getml/reflect-cpp/tags .*/v?(\d.*)@ARCHIVE_EXT@
