## reflect-cpp 0.17.0

=== debian/changelog ===
reflect-cpp (0.17.0-5) unstable; urgency=medium

  * d/rules: fix wrongly inverted build condition for bson

 -- Shengqi Chen <harry@debian.org>  Thu, 27 Feb 2025 00:13:05 +0800

reflect-cpp (0.17.0-4) unstable; urgency=medium

  * d/tests: set DEB_*_ARCH env before running autopkgtest
  * d/control: bump std-ver to 4.7.1 (no changes required)

 -- Shengqi Chen <harry@debian.org>  Wed, 26 Feb 2025 15:53:50 +0800

reflect-cpp (0.17.0-3) unstable; urgency=medium

  * d/{rules,control}: fix wrong dependency conditions

 -- Shengqi Chen <harry@debian.org>  Sat, 22 Feb 2025 18:57:08 +0800

reflect-cpp (0.17.0-2) unstable; urgency=medium

  * Conditionally enable formats to fix FTBFS:
    + disable capnproto on m68k, s390x, powerpc, ppc64, sparc64, hppa,
      hurd-i386.
    + disable bson on hurd-amd64.

 -- Shengqi Chen <harry@debian.org>  Thu, 20 Feb 2025 16:14:38 +0800

reflect-cpp (0.17.0-1) unstable; urgency=medium

  * d/control: mark Multi-Arch: same for libreflectcpp
  * d/rules: disable compiling tests on sh4 to fix ftbfs
  * Enable more formats: avro, bson, capnproto

 -- Shengqi Chen <harry@debian.org>  Fri, 14 Feb 2025 00:52:01 +0800

reflect-cpp (0.17.0-1~exp1) experimental; urgency=medium

  * New upstream version 0.17.0
    + Change SONAME to libreflectcpp0.17
  * d/patches: remove applied patches
  * d/patches: add patch to fix cmake dependencies
  * d/rules: remove workaround that is no longer valid
  * d/control: use my d.o email address

 -- Shengqi Chen <harry@debian.org>  Wed, 12 Feb 2025 16:45:23 +0800
