## reflect-cpp 0.17.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
  ninja-build,
  libgtest-dev,
  libavro-dev,
- libbson-dev [!hurd-amd64],
+ libbson-dev [!hurd-i386 !hurd-amd64],
  libcapnp-dev [!m68k !s390x !powerpc !ppc64 !hppa !sparc64 !hurd-i386 !hurd-amd64],
+ libctre-dev,
  libflatbuffers-dev,
  libmsgpack-c-dev,
  libpugixml-dev,
