=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 USE_BSON=ON
 # no libbson exists
-ifneq (,$(filter $(DEB_HOST_ARCH), hurd-amd64))
+ifneq (,$(filter $(DEB_HOST_ARCH), hurd-i386 hurd-amd64))
 USE_BSON=OFF
 endif
