=== debian/changelog ===
reflect-cpp (0.17.0+ds-1) unstable; urgency=medium

  * d/control: remove vendored files from upstream tarball
  * Disable bson support on hurd-i386
  * d/watch: enable repacking and name mangling
  * New upstream version 0.17.0+ds

 -- Shengqi Chen <harry@debian.org>  Tue, 11 Mar 2025 20:50:28 +0800
