=== debian/watch ===
version=4
 opts="repack,dversionmangle=auto,repacksuffix=+ds" \
 https://github.com/getml/reflect-cpp/tags .*/v?(\d.*)@ARCHIVE_EXT@
