## reflect-cpp 0.18.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,21 @@
 option(REFLECTCPP_BUILD_TESTS "Build tests" OFF)
 
 option(REFLECTCPP_USE_BUNDLED_DEPENDENCIES "Use the bundled dependencies" ON)
+
+option(REFLECTCPP_USE_STD_EXPECTED "Use std::expected instead of the built-in Result type (requires C++-23)" OFF)
+
+if(REFLECTCPP_USE_STD_EXPECTED)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DREFLECTCPP_USE_STD_EXPECTED")
+    if(NOT DEFINED CMAKE_CXX_STANDARD)
+        set(CMAKE_CXX_STANDARD 23)
+    endif()
+else()
+    if(NOT DEFINED CMAKE_CXX_STANDARD)
+        set(CMAKE_CXX_STANDARD 20)
+    endif()
+endif()
+
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set(REFLECTCPP_USE_VCPKG_DEFAULT OFF)
 
@@ -51,8 +66,6 @@
 
 project(reflectcpp VERSION 0.17.0 LANGUAGES CXX)
 
-set(CMAKE_CXX_STANDARD 20)
-
 if (REFLECTCPP_BUILD_SHARED)
     add_library(reflectcpp SHARED)
     set_target_properties(reflectcpp PROPERTIES SOVERSION ${PROJECT_VERSION})
@@ -112,14 +125,18 @@
         src/reflectcpp_avro.cpp
     )
     find_package(jansson CONFIG REQUIRED)
-    if(REFLECTCPP_USE_VCPKG)
+    if (REFLECTCPP_USE_VCPKG)
         target_include_directories(reflectcpp SYSTEM PRIVATE "${VCPKG_INSTALLED_DIR}/${VCPKG_TARGET_TRIPLET}/include")
         if (MSVC)
             target_link_libraries(reflectcpp PRIVATE "${VCPKG_INSTALLED_DIR}/${VCPKG_TARGET_TRIPLET}/lib/avro${CMAKE_STATIC_LIBRARY_SUFFIX}")
         else ()
             target_link_libraries(reflectcpp PRIVATE "${VCPKG_INSTALLED_DIR}/${VCPKG_TARGET_TRIPLET}/lib/libavro${CMAKE_STATIC_LIBRARY_SUFFIX}")
         endif ()
-    endif()
+    else ()
+        find_package(PkgConfig REQUIRED)
+        pkg_check_modules(avro REQUIRED IMPORTED_TARGET avro-c)
+        target_link_libraries(reflectcpp PUBLIC PkgConfig::avro)
+    endif ()
     target_link_libraries(reflectcpp PRIVATE jansson::jansson)
 endif ()
 
@@ -167,14 +184,8 @@
     list(APPEND REFLECT_CPP_SOURCES
         src/reflectcpp_msgpack.cpp
     )
-    if(REFLECTCPP_USE_VCPKG)
-        if (NOT TARGET msgpack-c)
-            find_package(msgpack-c CONFIG REQUIRED)
-        endif()
-    else()
-        if (NOT TARGET msgpack)
-          find_package(msgpack CONFIG REQUIRED)
-        endif()
+    if (NOT TARGET msgpack-c)
+        find_package(msgpack-c CONFIG REQUIRED NAMES msgpack msgpack-c)
     endif()
     target_link_libraries(reflectcpp PUBLIC msgpack-c)
 endif ()
@@ -183,16 +194,10 @@
     list(APPEND REFLECT_CPP_SOURCES
         src/reflectcpp_toml.cpp
     )
-    if(REFLECTCPP_USE_VCPKG)
-        find_package(PkgConfig REQUIRED)
-        pkg_check_modules(tomlplusplus REQUIRED IMPORTED_TARGET tomlplusplus)
-        target_link_libraries(reflectcpp PUBLIC PkgConfig::tomlplusplus)
-    else()
-        if (NOT TARGET tomlplusplus)
-          find_package(tomlplusplus)
-        endif()
-        target_link_libraries(reflectcpp PUBLIC tomlplusplus::tomlplusplus)
-    endif()
+    if (NOT TARGET toml11)
+      find_package(toml11 CONFIG REQUIRED)
+    endif()
+    target_link_libraries(reflectcpp PUBLIC toml11::toml11)
 endif()
 
 if (REFLECTCPP_UBJSON)
