=== tests/json/CMakeLists.txt ===
--- 
+++ 
@@ -18,3 +18,4 @@
 
 find_package(GTest)
 gtest_discover_tests(reflect-cpp-json-tests)
+
