=== debian/changelog ===
reflect-cpp (0.18.0+ds-3) unstable; urgency=medium

  * d/{control,rules}: add B-D on libjsoncons-dev to support CBOR and UBJSON.

 -- Shengqi Chen <harry@debian.org>  Fri, 25 Apr 2025 15:16:15 +0800

reflect-cpp (0.18.0+ds-2) unstable; urgency=medium

  * d/rules: pass -Wno-error=array-bounds to fix FTBFS (closes: #1102676).

 -- Shengqi Chen <harry@debian.org>  Sat, 12 Apr 2025 21:45:02 +0800

reflect-cpp (0.18.0+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Shengqi Chen <harry@debian.org>  Fri, 11 Apr 2025 14:33:43 +0800

reflect-cpp (0.18.0+ds-1~exp1) experimental; urgency=medium

  * New upstream version 0.18.0+ds.
    + Change SONAME to libreflectcpp0.18.
  * d/control:
    + replace libtomlplusplus-dev with libtoml11-dev according to upstream.
    + bump std-ver to 4.7.2 (no changes required).
  * d/patches:
    + refresh existing patches.
    + update patch to remove hardcoded SOVERSION and set a correct version.
  * d/copyright: remove superfluous patterns and update years

 -- Shengqi Chen <harry@debian.org>  Tue, 08 Apr 2025 00:52:06 +0800
