=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: reflect-cpp
 Section: utils
 Priority: optional
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Maintainer: Shengqi Chen <harry@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -13,9 +13,10 @@
  libcapnp-dev [!m68k !s390x !powerpc !ppc64 !hppa !sparc64 !hurd-i386 !hurd-amd64],
  libctre-dev,
  libflatbuffers-dev,
+ libjsoncons-dev,
  libmsgpack-c-dev,
  libpugixml-dev,
- libtomlplusplus-dev,
+ libtoml11-dev,
  libyaml-cpp-dev,
  libyyjson-dev,
  pkgconf,
@@ -24,7 +25,7 @@
 Vcs-Browser: https://salsa.debian.org/harry/reflect-cpp
 Rules-Requires-Root: no
 
-Package: libreflectcpp0.17
+Package: libreflectcpp0.18
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -40,15 +41,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libreflectcpp0.17 (= ${binary:Version})
+Depends: ${misc:Depends}, libreflectcpp0.18 (= ${binary:Version})
 Suggests:
  libavro-dev,
  libbson-dev,
  libcapnp-dev,
  libflatbuffers-dev,
+ libjsoncons-dev,
  libmsgpack-c-dev,
  libpugixml-dev,
- libtomlplusplus-dev,
+ libtoml11-dev,
  libyaml-cpp-dev,
  libyyjson-dev,
 Description: C++20 library for fast (de-)serialization and validation (development files)
