=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# gcc has strange false positives on array bounds (some arches)
+export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error=array-bounds
 DPKG_EXPORT_BUILDFLAGS = 1
 
 include /usr/share/dpkg/buildflags.mk
@@ -31,13 +33,12 @@
 %:
 	dh $@ --buildsystem=cmake+ninja
 
-# cbor / ubjson requires jsoncons, currently not in debian
 override_dh_auto_configure:
 	dh_auto_configure -- -DREFLECTCPP_BUILD_SHARED=ON -DREFLECTCPP_USE_BUNDLED_DEPENDENCIES=OFF \
 	 -DREFLECTCPP_USE_VCPKG=OFF -DCMAKE_INSTALL_LIBDIR=$(TARGET_LIBDIR) \
 	 -DREFLECTCPP_JSON=ON -DREFLECTCPP_AVRO=ON -DREFLECTCPP_BSON=$(USE_BSON) \
-	 -DREFLECTCPP_CAPNPROTO=$(USE_CAPNPROTO) -DREFLECTCPP_CBOR=OFF \
+	 -DREFLECTCPP_CAPNPROTO=$(USE_CAPNPROTO) -DREFLECTCPP_CBOR=ON \
 	 -DREFLECTCPP_FLEXBUFFERS=ON -DREFLECTCPP_MSGPACK=ON -DREFLECTCPP_XML=ON \
-	 -DREFLECTCPP_TOML=ON -DREFLECTCPP_UBJSON=OFF -DREFLECTCPP_YAML=ON \
+	 -DREFLECTCPP_TOML=ON -DREFLECTCPP_UBJSON=ON -DREFLECTCPP_YAML=ON \
 	 -DREFLECTCPP_BUILD_TESTS=$(BUILD_TEST)
